Subject: Re: [PATCH] push: point to 'git pull' and 'git push --force' in case of non-fast forward

From: Matthieu Moy <[email-masked]>
Date: Fri, 07 Aug 2009 22:22:28 +0200

Junio C Hamano <[email-masked]> writes:

> I actually do not think it is appropriate to teach --force in an example
> that involves more than one person (iow, in the context of the example in
> my patch).

Right, that is the point. A more accurate example would be "oops, I
rewrote history after a push, shall I still push it?". But your
proposal is already long, let's not over-document it.

-- 
Matthieu